Module java.base
Package java.nio.charset

# Class UnsupportedCharsetException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.nio.charset.UnsupportedCharsetException

All Implemented Interfaces:
  `Serializable`

    public class UnsupportedCharsetException
    extends IllegalArgumentException

Unchecked exception thrown when no support is available for a requested charset.

Since:
  1.4
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UnsupportedCharsetException​(String charsetName)` | Constructs an instance of this class.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getCharsetName()` | Retrieves the name of the unsupported charset.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedCharsetException

public UnsupportedCharsetException​(String charsetName)
Constructs an instance of this class.

Parameters:
  `charsetName` - The name of the unsupported charset

## Method Details

### getCharsetName

public String getCharsetName()
Retrieves the name of the unsupported charset.

Returns:
  The name of the unsupported charset